<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jljc.mapper.ReportDateMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.jljc.entity.ReportDate">
        <id column="id" property="id" />
        <result column="number"  property="Number"/>
        <result column="company_type" property="companyType" />
        <result column="annual_report_date" property="annualReportDate" />
        <result column="quarterly_report_date" property="quarterlyReportDate" />
        <result column="monthly_report_date" property="monthlyReportDate" />
        <result column="userid" property="userid"/>
        <result column="update_time" property="updateTime"/>
        <result column="del_flag" property="delFlag"/>
        <result column="dept_id" property="deptId"/>
        <result column="year" property="year"/>
        <result column="status" property="status"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,number,company_type,annual_report_date,quarterly_report_date,year,monthly_report_date, userid, update_time, del_flag, dept_id, status
    </sql>
</mapper>
